Description

It would be useful to be able to insert a "Number" type parameter in "Formula" of Field Calculator. E.g:

| want to create new field and populate it with a user defined number using the Modeler.

History

#1 - 2013-10-01 10:10 AM - Filipe Dias

If there's an alternative way of doing this, it could help answer this question:

http:/gis.stackexchange.com/questions/72569/field-calculator-in-qgis-modeler-sextante/73054#73054

#2 - 2014-10-04 12:16 PM - Giovanni Manghi
- Project changed from 78 to QGIS Application
- Category deleted (64)

#3 - 2014-10-04 12:17 PM - Giovanni Manghi
- Category set to Processing/Modeller

#4 - 2017-02-09 11:25 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master.

#5 - 2018-01-24 08:13 PM - Norwin Roosen

How is this solved? | still cannot reference model inputs within the field calculator, afaics. (in 2.18.15)

| searched the commits around 2017-01-09, but didn't find anything:
https://github.com/qgis/QGIS/commits ?after=cf35affedcb93f7ef560397b52fc932838cacb04+8500

Please reopen if there isn't any commit fixing this, as this is really a big use case for the modeler.

#6 - 2018-09-09 05:32 PM - Stefan Newluck

There are at least three other issues with the Field Calculator not accepting other input. This is not fixed.
http://gis.stackexchange.com/questions/72569/field-calculator-in-qgis-modeler-sextante/73054#73054
https://github.com/qgis/QGIS/commits?after=cf35affedcb93f7ef560397b52fc932838cacb04+8500

https://gis.stackexchange.com/questions/262831/how-to-introduce-table-field-parameter-into-field-calculator-formula-in-qgis

https://gis.stackexchange.com/questions/292075/referencing-another-layer-in-field-calculator-inside-graphical-modeler

https://gis.stackexchange.com/questions/295323/vector-fields-as-input-variable-in-field-calculator

#7 - 2018-09-10 11:13 AM - Giovanni Manghi
- Description updated

https://gis.stackexchange.com/questions/295323/vector-fields-as-input-variable-in-field-calculator

this definitely works here on qgis/master.

#8 - 2018-09-14 09:39 PM - Stefan Newluck

this definitely works here on qgis/master.

Could you provide an answer (ideally with screenshots) to the gisSE answer then? I'm curious to find out how to do it.

#9 - 2018-09-14 10:11 PM - Giovanni Manghi

Stefan Newluck wrote:

this definitely works here on qgis/master.

Could you provide an answer (ideally with screenshots) to the gisSE answer then? I'm curious to find out how to do it.

| tried exactly as in the screenshot in that question on GIS_SE.

#10 - 2019-01-15 05:37 PM - Christoph Fink

Giovanni Manghi wrote:

Stefan Newluck wrote:

this definitely works here on qgis/master.

Could you provide an answer (ideally with screenshots) to the gisSE answer then? I'm curious to find out how to do it.

| tried exactly as in the screenshot in that question on GIS_SE.

Creating a custom script would work alright | assume (ignoring for the moment, that the code provided on GIS SE is for pre 3.0 QGIS). But is that what was
considered to have “fixed” this issue? Were you able to make it work without a custom script? (I can’t)

(Judging from the number of GIS SE questions on this | would believe that a simpler solution would be very much sought after by many. In my opinion, the
field calculator from the processing toolbox, in general, is not exactly the most user-friendly - it could use an expression builder, e.g.)
